# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationStyleSelect Class Reference

`#include <StepVisual_PresentationStyleSelect.hxx>`

Inheritance diagram for StepVisual_PresentationStyleSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_PresentationStyleSelect ()
| Returns a PresentationStyleSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a PresentationStyleSelect Kind Entity that is : 1 -> PointStyle 2 -> CurveStyle 3 -> SurfaceStyleUsage 4 -> SymbolStyle 5 -> FillAreaStyle 6 -> TextStyle 0 else .
Standard_EXPORT Handle_StepVisual_PointStyle | PointStyle () const
| returns Value as a PointStyle (Null if another type)
Standard_EXPORT Handle_StepVisual_CurveStyle | CurveStyle () const
| returns Value as a CurveStyle (Null if another type)
Standard_EXPORT Handle_StepVisual_SurfaceStyleUsage | SurfaceStyleUsage () const
| returns Value as a SurfaceStyleUsage (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationStyleSelect::StepVisual_PresentationStyleSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_PresentationStyleSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepVisual_CurveStyle StepVisual_PresentationStyleSelect::CurveStyle | ( |  | ) | const

void StepVisual_PresentationStyleSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_PresentationStyleSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_PresentationStyleSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PointStyle StepVisual_PresentationStyleSelect::PointStyle | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_SurfaceStyleUsage StepVisual_PresentationStyleSelect::SurfaceStyleUsage | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_PresentationStyleSelect.hxx